<script setup lang="ts">
const items = [
	{
		to: "/",
		label: "Bus Lines",
	},
	{
		to: "/stops",
		label: "Stops",
	},
];

</script>

<template>
	<ul class="nav">
		<li v-for="item in items" :key="item.label">
			<router-link
					exact-active-class="border-primary active"
					:to="item.to"
			>{{ item.label }}</router-link
			>
		</li>
	</ul>
</template>

<style lang="scss" scoped>
li {
	padding: 20px 10px;
	font-weight: 500;
	font-size: 14px;
	line-height: 24px;
	color: #9A9DA4;
	&:has(a.active) {
		border-bottom: 2px solid #1952E1;
	}
}

a {
	color: #9A9DA4;
	text-decoration: none;
	&.active {
		color: #1a1a1a;
	}
}
</style>
